<?php
session_start();
require_once 'config/config.php';
require_once BASE_PATH . '/includes/auth_validate.php';

// Costumers class
require_once BASE_PATH . '/lib/Costumers/Costumers.php';
$costumers = new Costumers();

// Get Input data from query string
$order_by	= filter_input(INPUT_GET, 'order_by');
$order_dir	= filter_input(INPUT_GET, 'order_dir');
$search_str	= filter_input(INPUT_GET, 'search_str');

// Per page limit for pagination
$pagelimit = 15;

// Get current page
$page = filter_input(INPUT_GET, 'page');
if (!$page) {
    $page = 1;
}

// If filter types are not selected we show latest added data first
if (!$order_by) {
    $order_by = 'id';
}
if (!$order_dir) {
    $order_dir = 'Desc';
}

// Get DB instance. i.e instance of MYSQLiDB Library
$result =  $DB->select("redirect");
//$select = array('id', 'f_name', 'l_name', 'gender', 'phone', 'created_at', 'updated_at');

// Start building query according to input parameters
// If search string
/*
if ($search_str) {
    $db->where('f_name', '%' . $search_str . '%', 'like');
    $db->orwhere('l_name', '%' . $search_str . '%', 'like');
}
// If order direction option selected
if ($order_dir) {
    $db->orderBy($order_by, $order_dir);
}

*/
?>
<?php include BASE_PATH . '/includes/header.php'; ?>
<!-- Main container -->
<div id="page-wrapper">
    <div class="row">
        <div class="col-lg-6">
            <h1 class="page-header">Linkler</h1>
        </div>
        <div class="col-lg-6">
            <div class="page-action-links text-right">
                <a href="add_link.php?operation=create" class="btn btn-success"><i class="glyphicon glyphicon-plus"></i> Yeni Ekle</a>
            </div>
        </div>
    </div>
    <?php include BASE_PATH . '/includes/flash_messages.php'; ?>


    <!-- Table -->
    <table class="table table-striped table-bordered table-condensed">
        <thead>
        <tr>
            <th width="5%">ID</th>
            <th width="20%">Link Yolu</th>
            <th width="20%">Yönlenecek URL</th>
            <th width="10%">İşlemler</th>
        </tr>
        </thead>
        <tbody>
        <?php foreach ($result as $item): ?>
            <tr>
                <td><?php echo $item['id']; ?></td>
                <td><?php echo "https://".$_SERVER['SERVER_NAME'].'/redirect?redirect='.$item['link_url']; ?></td>
                <td><?php echo htmlspecialchars($item['yonlendirme']); ?></td>
                <td>
                    <a href="edit_link.php?mac_id=<?php echo $item['id']; ?>&operation=edit" class="btn btn-primary"><i class="glyphicon glyphicon-edit"></i></a>
                    <a href="#" class="btn btn-danger delete_btn" data-toggle="modal" data-target="#confirm-delete-<?php echo $item['id']; ?>"><i class="glyphicon glyphicon-trash"></i></a>
                </td>
            </tr>
            <!-- Delete Confirmation Modal -->
            <div class="modal fade" id="confirm-delete-<?php echo $item['id']; ?>" role="dialog">
                <div class="modal-dialog">
                    <form action="delete_link.php" method="POST">
                        <!-- Modal content -->
                        <div class="modal-content">
                            <div class="modal-header">
                                <button type="button" class="close" data-dismiss="modal">&times;</button>
                                <h4 class="modal-title">Confirm</h4>
                            </div>
                            <div class="modal-body">
                                <input type="hidden" name="del_id" id="del_id" value="<?php echo $item['id']; ?>">
                                <p>Silmek İstediğinize Emin Misiniz?</p>
                            </div>
                            <div class="modal-footer">
                                <button type="submit" class="btn btn-default pull-left">Evet</button>
                                <button type="button" class="btn btn-default" data-dismiss="modal">Hayır</button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
            <!-- //Delete Confirmation Modal -->
        <?php endforeach; ?>
        </tbody>
    </table>
    <!-- //Table -->


</div>
<!-- //Main container -->
<?php include BASE_PATH . '/includes/footer.php'; ?>
